registerActionPart('SET_CHARACTER_TINT',{
	isif=false,
	link1={text='Character',use=true,control=1},
	link2={text='',use=false,control=0},
	integers={use=2,useint3=true,pointlabel='',pointdialog=0},
	integer3={text='Tint colour',control=6,min=0,max=99999,val=0x000000,options={}},
	integer1={text='Strength [%]',control=0,min=0,max=100,val=100,options={}},
	path={text='',use=false,filter=0},
	string={text='',use=0},
	link1filter={'\\eCharacters'},
	link2filter={},
	stringfilter={},
})

translation(1, 'SET_CHARACTER_TINT', 'Set character tint DE')
translation(1, 'SET_CHARACTER_TINT_Name', "Set tint of character '%link1' to '%int1' DE")

translation(2, 'SET_CHARACTER_TINT', 'Set character tint')
translation(2, 'SET_CHARACTER_TINT_Name', "Set tint of character '%link1' to '%int1'")

translation(3, 'SET_CHARACTER_TINT', '3Set Character Tint ES')
translation(3, 'SET_CHARACTER_TINT_Name', "3Set tint of character '%link1' to '%int1' ES")

translation(4, 'SET_CHARACTER_TINT', '4Set Character Tint FR')
translation(4, 'SET_CHARACTER_TINT_Name', "4Set tint of character '%link1' to '%int1' FR")

translation(5, 'SET_CHARACTER_TINT', '5Set Character Tint NL')
translation(5, 'SET_CHARACTER_TINT_Name', "5Set tint of character '%link1' to '%int1' NL")

translation(6, 'SET_CHARACTER_TINT', '6Set Character Tint IT')
translation(6, 'SET_CHARACTER_TINT_Name', "6Set tint of character '%link1' to '%int1' IT")

translation(7, 'SET_CHARACTER_TINT', '6Set Character Tint RU')
translation(7, 'SET_CHARACTER_TINT_Name', "6Set tint of character '%link1' to '%int1' RU")

--[[

Instructions
------------

Common for all fields

text - the name you want to show in the editor
use [bool] - true -> enables the field in the editor; false -> disables the field.
control [int] - the type of picker you want to use. It differs depending on the type of field, see below.

isif -- Checks if the plugin is an 'if action part' - not supported as of ver 5.1.9.2

link1 and link2 correspond to actionPart.Link and actionPart.AltLink (in case you need links to two different tables). We can use these to link to any of the Visionaire tables, see complete list here. For example, when you use the value picker in the set value action part of the engine, that’s a link. In the example above where you set the Scene Volume, link1 is the Scene picker.

	control: 0 link field, 1 link combobox, 2 text

integers is the field that allows you to choose how many int fields you want in the editor part, which can be up to three, but it depends on what you want to do, because the setup of this is restricted to use cases

use, which is documented in the comment block, setups how many of the int fields you’re using. 0 is none, 1 is using the coordinates picker, 2 is using one int, 3 is using both Int and AltInt.AltInt2 is controlled by the useint3 parameter of integers
pointlabel is the text you want the editor to show with your coordinate picker
pointdialog

integers text

integers use: 0 nothing, 1 point dialog, 2 use int 1, 3 use both ints

integer1 control: 0 spinner, 1 slider = spinner, 2 bool, 3 radio buttons, 4 combobox, 5 direction,  6 color picker int(3) db (int1)

path filter: 0 image, 1 sound, 2 video

string use: 0 none, 1 text, 2 multiline, 3 script, 4 link, 5 link field

]]