function setCharTint(character,strength,colour)
  print(character)  
  local character = tostring(character:getName())
  print(character)
	
-- The colour is input as integer (total 16 mil colour), so we convert it to hex

  local hex = string.format("%x", colour)
  print("Hex: "..hex)

-- We break the hex to rgb:

local b = tonumber('0x'..hex:sub(1,2))
local g = tonumber('0x'..hex:sub(3,4))
local r = tonumber('0x'..hex:sub(5,6))

print(r)
print(g)
print(b)

-- We calculate the new RGB basis the strength value (we premultiply the rgb)

  local rNew = r+(255-r)*(1-strength/100)
  local gNew = g+(255-g)*(1-strength/100)
  local bNew = b+(255-b)*(1-strength/100)
    
  local bgr = (math.floor(bNew) * 0x10000) + (math.floor(gNew) * 0x100) + math.floor(rNew)
  Characters[character].Tint = tonumber(string.format("%x",bgr),16)

end

registerActionPart('SET_CHARACTER_TINT',function(activeAction, actionPart)
	setCharTint(actionPart.Link, actionPart.Int, actionPart.AltInt2)
	return false -- end of action
end)

